CPAN::Testers::Fact::Prereqs(3)

NAME
CPAN::Testers::Fact::Prereqs - prerequisites detected in running a CPAN Testers report

VERSION
version 1.999003

SYNOPSIS
  my $fact = CPAN::Testers::Fact::Prereqs->new(
    resource => 'cpan:///distfile/RJBS/CPAN-Metabase-Fact-0.001.tar.gz',
    content     => {
      configure_requires => {
        'ExtUtils::MakeMaker' => 0,
      },
      build_requires => {
        'Test::More' => '0.60',
      },
      requires => {
        'Carp' => 0,
        'File::Spec' => 0.82,
      },
    },
  );

DESCRIPTION
Prerequisites detected. There are three valid types: configure_requires, requires, and build_requires.

The prerequisite must be a version number or logical comparison as defined in the META.yml specification document.

USAGE
See Metabase::Fact.

BUGS
Please report any bugs or feature using the CPAN Request Tracker. Bugs can be submitted through the web interface at http://rt.cpan.org/Dist/Display.html?Queue=CPAN-Testers-Report <http://rt.cpan.org/Dist/Display.html?Queue=CPAN-Testers-Report>

When submitting a bug or request, please include a test-file or a patch to an existing test-file that illustrates the bug or desired feature.

AUTHOR
David Golden <dagolden@cpan.org>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2015 by David Golden.

This is free software, licensed under:

  The Apache License, Version 2.0, January 2004